caniter.h File Reference

C++ API: Canonical Iterator. More...

`#include "unicode/utypes.h"`
`#include "unicode/uobject.h"`
`#include "unicode/unistr.h"`

Go to the source code of this file.

## Data Structures

class | icu::CanonicalIterator
| This class allows one to iterate through all the strings that are canonically equivalent to a given string. More...

## Namespaces

| icu
| File coll.h.

## Macros

#define | CANITER_SKIP_ZEROES true
| Should permutation skip characters with combining class zero Should be either true or false. More...

## Detailed Description

C++ API: Canonical Iterator.

Definition in file caniter.h.

## Macro Definition Documentation

## CANITER_SKIP_ZEROES

#define CANITER_SKIP_ZEROES true

Should permutation skip characters with combining class zero Should be either true or false.

This is a compile time option

Stable:
  ICU 2.4

Definition at line 32 of file caniter.h.